#include <bits/stdc++.h>
#include "code.h"
using namespace std;
vector<pair<int, int>> ZapisiTacke(int n)
{
    vector<pair<int,int>> v(n+1);
    v[1] = {0,0};
    for(int i = 2;i<=n;i++)
    {
        v[i] = {i-2,n-i};
    }
    return v;
}
vector<int> Resi(int n, int q)
{
    vector<int> v(n+1);
    if(q==20000)
    {
        if(Pitaj(1,2,3) == 0)
        {
            for(int i = 1;i<=n;i++)
            {
                v[i] = n-i+1;
            }
        }
        else
        {
            for(int i = 1;i<=n;i++)
                v[i] = i;
        }
    }
    else if(q == 25000)
    {
        vector<int> br(n+1);
        for(int i = 3;i<=n;i++)
        {
            for(int j = 2;j<i;j++)
            {
                int x = Pitaj(1,i,j);
                if(x>0)
                    br[i]++;
                else
                    br[j]++;
            }
        }
        v[1] = 1;
        for(int i = 2;i<=n;i++)
        {
            v[i] = br[i] + 2;
        }
    }
    else if(q==150000)
    {
        vector<int> br(n+1);
        for(int i = 3;i<=n;i++)
        {
            for(int j = 2;j<i;j++)
            {
                for(int k = 1;k<j;k++)
                {
                    int x = Pitaj(i,j,k);
                    if(x!=0)
                    {
                        br[i]++;
                        br[j]++;
                        br[k]++;
                    }
                }
            }
        }
        int m;
        for(int i = 1;i<=n;i++)
        {
            if(br[i] > n)
                m = i;
        }
        v[m] = 1;
        vector<int> br1(n+1);
        for(int i = 2;i<=n;i++)
        {
            for(int j = 1;j<i;j++)
            {
                if(m!=i && m!=j)
                {
                    int x = Pitaj(m,i,j);
                    if(x>0)
                        br1[i]++;
                    else
                        br1[j]++;
                }
            }
        }
        for(int i = 1;i<=n;i++)
        {
            if(i!=m)
                v[i] = br1[i] + 2;
        }
    }
    return v;
}